summaryrefslogtreecommitdiff
path: root/leap-bootstrap-provider.sh
diff options
context:
space:
mode:
authorroot <root@lab.bitrigger.de>2013-02-15 11:16:51 +0100
committerroot <root@lab.bitrigger.de>2013-02-15 11:16:51 +0100
commite580321ca55c77435c95035354aec833b7abc665 (patch)
treed9b115235407908bd9d5305f7a2143a6aebccef8 /leap-bootstrap-provider.sh
parentc782c2c8d7408690d614453fac41b5a620610fec (diff)
mostly working now
Diffstat (limited to 'leap-bootstrap-provider.sh')
-rwxr-xr-xleap-bootstrap-provider.sh24
1 files changed, 20 insertions, 4 deletions
diff --git a/leap-bootstrap-provider.sh b/leap-bootstrap-provider.sh
index c2fb3b9..912a705 100755
--- a/leap-bootstrap-provider.sh
+++ b/leap-bootstrap-provider.sh
@@ -4,8 +4,24 @@
cd $ROOTDIR/$PROVIDER
-for i in $SERVICES
-do
- leap node add --local $i services:$i
-done
+if [ -e $ROOTDIR/$PROVIDER ]
+then
+ echo $ROOTDIR/$PROVIDER exists - exiting
+ exit 1
+fi
+mkdir $ROOTDIR/$PROVIDER
+cd $ROOTDIR/$PROVIDER
+leap new .
+cd $ROOTDIR/leap_platform
+git checkout develop
+git submodule update --init
+cd $ROOTDIR/$PROVIDER
+
+
+leap add-user --self
+leap cert ca && leap cert csr
+leap cert dh
+
+$PLATFORM_TEST_BIN/leap-add-nodes.sh
+$PLATFORM_TEST_BIN/leap-bootstrap-all.sh